# TTS小模型

## 依赖

### 模型
* nari-labs/dia-1.6b
下载地址：https://huggingface.com/nari-labs/dia-1.6b

* dac/weights.pth
下载地址：i
1) https://github.com/descriptinc/descript-audio-codec/releases/download/0.0.1/weights.pth
2) https://github.com/descriptinc/descript-audio-codec/releases/download/0.0.4/weights_24khz.pth
3) https://github.com/descriptinc/descript-audio-codec/releases/download/0.0.5/weights_16khz.pth
4) https://github.com/descriptinc/descript-audio-codec/releases/download/1.0.0/weights_44khz_16kbps.pth

### 模块
服务方
* [dia](https://github.com/nari-labs/dia)
* [appPublic](https://git.kaiyuancloud.cn/yumoqing/apppublic)
* [sqlor](https://git.kaiyuancloud.cn/yumoqing/sqlor)
* [ahserever](https://git.kaiyuancloud.cn/yumoqing/ahserver)
客户方
* [bricks](https://git.kaiyuancloud.cn/yumoqing/bricks)

## 安装
执行以下命令
```
git clone https://git.kaiyuancloud.cn/yumoqing/dia16b
cd dia16b
python3 -m venv py3
source py3/bin/activate
pip install git+https://github.com/nari-labs/dia
pip install git+https://git.kaiyuancloud.cn/yumoqing/apppublic
pip install git+https://git.kaiyuancloud.cn/yumoqing/sqlor
pip install git+https://git.kaiyuancloud.cn/yumoqing/ahserver
```
## 下载依赖的模型

## 配置conf/config.json文件
主要修改下载模型存放目录
```
    "dia_model_path" : "/share/models/nari-labs/dia-1___6b",
    "dac_model_path": "/share/models/dac/weights.pth",
```

